#!/usr/bin/perl


# Comando lsusb
# Lanciare il comando lsusb e farne il matching dell'output stampando poi
# le varie componenti
@output = qx{lsusb};
foreach $line (@output)
{
  if ($line =~ m/(\w*)\s(\d{3})\s(\w*)\s(\d{3}):\s(ID\s(?:\d|\w)*:(?:\d|\w)*)\s(.*)/)
  {
    print $1, " ", $2, " ", $3, " ", $4, " ", $5, " ", $6, "\n";
  }
}

print "\n\n\n\n\n";


# Aprire il file meminfo e convetire i valori da kB in mB
@output = qx{cat /proc/meminfo};
foreach $line (@output)
{
  chomp $line;
  if ($line =~ m/(\w*:)\s*(\d*)\s(.*)/)
  {
    #print "PRIMA: $line\n";
    $mb = $2 / 1024;
    $line =~ s/(\s*)(\d*)\s(.*)/$1	$mb mB /;
    print "$line\n";
  }
}
